#pragma once

#include <vector>
#include <algorithm>


class ScalarAttributes
{
public:
				ScalarAttributes(int size):values(size),scalar_min(1.0e6),scalar_max(-1.0e6) { }

void			setC0Scalar(int i,float v)
				{  values[i] = v; scalar_min = std::min(v,scalar_min); scalar_max = std::max(v,scalar_max);  }

float			getC0Scalar(int i)
				{  return values[i];  }	

float			getMin()
				{ return scalar_min; }

float			getMax()
				{ return scalar_max; }

void			resetRange()
				{ scalar_min = 1.0e6; scalar_max = -1.0e6; }
				
protected:

std::vector<float>	values;
float			scalar_min,scalar_max;
};
